dnsjit.core.file(3)

NAME
dnsjit.core.file - OS file operations

SYNOPSIS
  require("dnsjit.core.file")
  local ffi = require("ffi")
  if ffi.C.core_file_exists("path/file") == 0 then
      ...
  end

DESCRIPTION
Module that exposes some file operations that are missing from Lua.

  C functions

core_file_exists(path/filename)
    Function that takes a string and uses stat() to check if that path/filename exists. Returns zero if it exists.

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net